package com.handset.serialportsensor.bean;

import com.chad.library.adapter.base.entity.MultiItemEntity;

import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
public class RawData implements MultiItemEntity {
    public static final int TYPE_RECEIVE = 0;
    public static final int TYPE_SEND = 1;

    private int mItemType;
    private String date;
    private String message;

    public RawData(int itemType) {
        mItemType = itemType;
    }

    public RawData(int itemType, String date, String message) {
        mItemType = itemType;
        this.date = date;
        this.message = message;
    }

    @Override
    public int getItemType() {
        return mItemType;
    }
}
